Вы можете помочь развитию проекта: https://linux-gaming.ru/donate/
-----------------------------------------
История изменений:

###Scripts version 2438### / Дата: 26.07.2025 / Размер скачиваемого обновления: 4 мегабайта
* исправлено определение локалей для flatpak версии PortProton (спасибо Htylol)
* обновлен OPTISCALER до версии v02-0.7.7-pre12 (спасибо @eljeyna)
* расширено количество игр работающих с OPTISCALER

###Scripts version 2437### / Дата: 25.07.2025 / Размер скачиваемого обновления: 4 мегабайта
* FSYNC и ESYNC по умолчанию выключены
* для всех игр от Sony по умолчанию используется WINE_LG
* добавлена блокировка включения USE_LS_FRAME_GEN если версия GLIBC в системе ниже чем 2.38
* произведены дополнительные оптимизации интерфейса (спасибо Htylol)
* продолжены работы по улучшению функций выбора 3D Api (спасибо Htylol)

###Scripts version 2436### / Дата: 24.07.2025 / Размер скачиваемого обновления: 230 мегабайт
* изменены версии DXVK и VKD3D для трансляции DirectX в Vulkan (спасибо Htylol):
   - Новейшие работают только с драйверами "MESA 25+", или "NVIDIA 550.54.14+"
   - Стабильные работают с любыми драйверами при условии что видеокарта поддерживает Vulkan версии "1.3+"
   - Sarek работает с любой видеокартой поддерживающей Vulkan версии "1.1+"
* обновлен PROTON_LG до версии "10-10" (с поддержкой NTSYNC)
* ускорено открытие списка сторонних версий WINE (спасибо Boria138)
* добавлены в списки сторонних WINE все WOW64 версии от Kron4ek и сборки x86_64_v3 от CachyOS (спасибо Boria138)

###Scripts version 2435### / stable / Дата: 23.07.2025 / Размер скачиваемого обновления: 380 мегабайт
* кумулятивное обновление стабильной версии скриптов PortProton
* удалена вкладка скачивания сторонних версий WINE-GE-GUSTOM (устаревшие версии WINE)

###Scripts version 2434### / Дата: 22.07.2025 / Размер скачиваемого обновления: 4 мегабайта
* исправлено определение видеокарт NVIDIA RTX и автоматическое включение NVAPI и Ray Tracing
* исправлена работа DLSS на видеокартах NVIDIA RTX (требуется сброс настроек PP для игры)

###Scripts version 2433### / Дата: 21.07.2025 / Размер скачиваемого обновления: 4 мегабайта
* исправлена работа Epic Games Launcher (требуется повторный запуск автоустановки)
* добавлена удобная (не инверсивная) логика включения ESYNC, FSYNC и NTSYNC
* библиотеки dgVoodoo2 скачиваются только при их использовании (спасибо Htylol)
* исправлено меню настрок MANGOHUD при отсутствии ppdb файла
* в меню настрок MANGOHUD добавлен переключатель отображения wine sync (включено по умолчанию)
* другие небольшие улучшения и исправления скриптов (спасибо Boria138 и Htylol)


###Scripts version 2432### / Дата: 18.07.2025 / Размер скачиваемого обновления: 4 мегабайта
* при использовании USE_OPTISCALER:
    - исправлена работа nvidia reflex
    - по умолчанию включен генератор кадров
    - общее улучшение производительности
* обновлен генератор кадров lsfg-vk
* исправлена блокировка перехода в спящий режим для flatpak в Fedora (спасибо Htylol)

###Scripts version 2431### / Дата: 18.07.2025 / Размер скачиваемого обновления: 4 мегабайта
* добавлена настройка USE_OPTISCALER для включения DLSS и генерация кадров на любых видеокартах
    Спасибо @EnDiMuR и @eljeyna за дополнительные настройки и полезную информацию:
    https://telegra.ph/Instrukciya-po-ustanovke-moda-DLSS-Frame-Generation-02-01
* удалены устаревшие настройки: USE_FAKE_DLSS и USE_FAKE_DLSS_3 (их полностью заменяет USE_OPTISCALER)
* обновлен генератор кадров lsfg-vk (USE_LS_FRAME_GEN в настройках PP при запуске игры)
* добавлена блокировка перехода в спящий режим для flatpak версии PortProton (спасибо Boria138)
* добавлена новая настройка для включения NTSYNC (NO_NTSYNC в настройках PP при запуске игры)
* другие небольшие улучшения и исправления скриптов (спасибо Boria138 и zorn-v)

###Scripts version 2430### / Дата: 15.07.2025 / Размер скачиваемого обновления: 185 мегабайт
* при использовании USE_LS_FRAME_GEN увеличена плавность игр и уменьшено количество артефактов
* обновлен WINE_LG до версии "10-12"

###Scripts version 2429### / Дата: 14.07.2025 / Размер скачиваемого обновления: 4 мегабайта
* исправлена работа MANGOHUD во flatpak версии PortProton
* исправлена работа генерации кадров (USE_LS_FRAME_GEN) во flatpak версии PortProton
* исправлено определение количества логический ядер процессора если их меньше 4 (спасибо Htylol)
* добавлена возможность скачивания Proton-EM (спасибо Boria138)
* другие небольшие улучшения скриптов (спасибо Boria138 и Htylol)

###Scripts version 2428### / Дата: 13.07.2025 / Размер скачиваемого обновления: 4 мегабайта
* добавлена экспериментальная функция генерации кадров с помощью lsfg-vk (USE_LS_FRAME_GEN в настройках PP при запуске игры)

###Scripts version 2427### / Дата: 04.07.2025 / Размер скачиваемого обновления: 380 мегабайт
* обновлен WINE_LG до версии "10-11"
* обновлен PROTON_LG до версии "10-8" (перепаковка с GE-Proton10-8)
* обновлены версии:
    - DXVK_GIT "2.6.1-368" (совместно с dxvk-nvapi)
    - VKD3D_GIT "1.1-4655" (совместно vkd3d-shader)
* добавлено разделение временного каталога для разных пользователей
* исправлено обновление скриптов и скачивание архивов в gamescope сессии с нативным PortProton

###Scripts version 2426### / Дата: 04.07.2025 / Размер скачиваемого обновления: 4 мегабайта
* расширена интеграция с PPQT (альфа)

###Scripts version 2425### / stable / Дата: 02.07.2025 / Размер скачиваемого обновления: 4 мегабайта
* обновлен Испанский перевод (спасибо BlackSnaker)
* улучшено определение видеокарт NVIDIA RTX (спасибо Boria138)

###Scripts version 2424### / stable / Дата: 01.07.2025 / Размер скачиваемого обновления: 380 мегабайт
* кумулятивное обновление стабильной версии скриптов PortProton

###Scripts version 2423### / Дата: 01.07.2025 / Размер скачиваемого обновления: 4 мегабайта
* добавлена новая версия "WINE_HYP_10-10" для исправления запуска игры "Genshin Impact"
(для применения исправления просто воспользуйтесь повторно автоустановкой HoYoPlay)

###Scripts version 2422### / Дата: 25.06.2025 / Размер скачиваемого обновления: 4 мегабайта
* исправлена работа игр в полном экране при использовании нативного wayland
* исправлена работа сторонних версий WINE при использовании нативного wayland
* более "тихий" режим при использовании переменной START_FROM_STEAM="1"

###Scripts version 2421### / Дата: 24.06.2025 / Размер скачиваемого обновления: 380 мегабайт
* с новыми версиями WINE и PROTON исправлен запуск под нативным Wayland
* обновлен WINE_LG до версии "10-10-1" (добавлена поддержка нативного Wayland)
* обновлен PROTON_LG до версии "10-4" (перепаковка с GE-Proton10-4)
* обновлены версии:
    - DXVK_GIT "2.6.1-255" (совместно с dxvk-nvapi)
    - VKD3D_GIT "1.1-4591" (совместно vkd3d-shader)
* добавлена настройка для включения HDR в игре (только для Wayland)
* добавлено автоматическое создание ярлыков при распаковке префикса из резервной копии (только при переменной START_FROM_STEAM="1")
* исправлены возможные артефакты в играх от LGC и WGC (спасибо zorn-v)

###Scripts version 2420### / Дата: 14.06.2025 / Размер скачиваемого обновления: 4 мегабайта
* обновлены иконки в разделе автоустановки (спасибо if984)
* улучшены функции выбора 3D Api и их дополнительных настроек (спасибо Htylol)
* при добавлении переменной USE_ONLY_LG_RU="1" в user.conf, обновления PortProton происходят только с серверов linux-gaming.ru
* другие небольшие улучшения скриптов (спасибо Boria138, alex2844, Htylol)

###Scripts version 2419### / stable / Дата: 24.05.2025 / Размер скачиваемого обновления: 185 мегабайт
* кумулятивное обновление стабильной версии скриптов PortProton

###Scripts version 2418### / Дата: 24.05.2025 / Размер скачиваемого обновления: 4 мегабайта
* завершено добавление полной поддержки сторонних GE-Proton версий 10 и выше

###Scripts version 2417### / Дата: 20.05.2025 / Размер скачиваемого обновления: 4 мегабайта
* исправлена работа сторонних версий DXVK и VKD3D для GE-Proton10+ (спасибо Htylol)
* исправлена работа GSTREAMER (отображение видеороликов) на версиях GE-Proton10+

###Scripts version 2416### / Дата: 17.05.2025 / Размер скачиваемого обновления: 4 мегабайта
* исправлена генерация переводов (спасибо Htylol)
* добавлена возможность скачивания Sarek Proton (спасибо Boria138)
* при использовании сторонних версий PROTON используется DXVK и VKD3D, которые поставляются вместе с ними (спасибо Htylol)

###Scripts version 2415### / Дата: 07.05.2025 / Размер скачиваемого обновления: 4 мегабайта
* исправлена установка библиотек добавленных в настройки при запуске игры

###Scripts version 2414### / Дата: 07.05.2025 / Размер скачиваемого обновления: 184 мегабайта
* обновлен WINE_LG до версии "10-7"
* удален фикс входа в игру "Genshin Impact" (более не требуется)
* обновлена установка GOG Launcher (спасибо Vekt0R)
* добавлено определение видеокарт NVIDIA RTX 50XX (спасибо Boria138)
* добавлена настройка привязки игры к ядрам одного NUMA-узла например на Intel Xeon (спасибо Boria138)
* добавлены скрипты для установки windows эмуляторов Azahar, bsnes, melonDS (спасибо if984)
* обновлены скрипты для установки Crossout, PPSSPP, RetroArch, ePSXe, FCEUX (спасибо if984)

###Scripts version 2413### / Дата: 19.04.2025 / Размер скачиваемого обновления: 4 мегабайта
* исправлен запуск игры "World of Sea Battle"
* исправлены ошибки связанные с библиотеками "icu*.dll"

###Scripts version 2412### / Дата: 14.04.2025 / Размер скачиваемого обновления: 4 мегабайта
* временный фикс входа в игру "Genshin Impact" (автоотключение и подключение к сети перед запуском игры - не работает во flatpak)

###Scripts version 2411### / stable / Дата: 11.04.2025 / Размер скачиваемого обновления: 380 мегабайт
* кумулятивное обновление стабильной версии скриптов PortProton

###Scripts version 2410### / Дата: 11.04.2025 / Размер скачиваемого обновления: 4 мегабайта
* исправлена установка/обновление "Epic Games Launcher"
* исправлено отключение лишней рамки для лончеров "HoYoPlay" и "Crossout"

###Scripts version 2409### / Дата: 08.04.2025 / Размер скачиваемого обновления: 380 мегабайт
* обновлен WINE_LG до версии "10-5"
* обновлен пакет библиотек контейнера: libs_v53
    - pressure-vessel 0.20250122.0
    - steam-runtime-sniper 3.0.20250210.116596
* доработано исправление работы новых версий wine от Kron4ek (необходимо удалить и заново перекачать нужную версию wine)
* дополнительные улучшения функции трея (спасибо Htylol)
* за место Setup.ppdb добавлено унифицированное условие для лучшего определения установочных файлов (спасибо Htylol)
* удалена кнопка глобальных настроек из меню при запуске игры

###Scripts version 2408### / Дата: 08.04.2025 / Размер скачиваемого обновления: 4 мегабайта
* исправлена работа новых версий wine от Kron4ek
* исправлен файл настроек для игры "Kingdom Come: Deliverance II"

###Scripts version 2407### / Дата: 07.04.2025 / Размер скачиваемого обновления: 250 мегабайт
* обновлен PROTON_LG до версии "9-27"
* обновлены версии:
    - DXVK_GIT "2.6-65" (совместно с dxvk-nvapi)
    - VKD3D_GIT "1.1-4511" (совместно vkd3d-shader)
* для определения SteamAppId используется STEAM_APP_ID из ppdb, если отсутствует - то ищется steam_appid (и подобные) в директории с игрой (спасибо alex2844)
* улучшены функции перевода интерфейса (спасибо Htylol)
* исправлена работа трея для систем использующих "dash" (спасибо Boria138)

###Scripts version 2406### / stable / Дата: 22.03.2025 / Размер скачиваемого обновления: 4 мегабайта
* кумулятивное обновление стабильной версии скриптов PortProton

###Scripts version 2405### / Дата: 20.03.2025 / Размер скачиваемого обновления: 4 мегабайта
* USE_GALLIUM_ZINK отключен по умолчанию (ломает некоторые лончеры, на примере "Black Desert Online")
* USE_GALLIUM_NINE возвращен и добавлен в дополнительные настройки

###Scripts version 2404### / Дата: 20.03.2025 / Размер скачиваемого обновления: 4 мегабайта
* исправлено отображение лицензии
* исправлена работа игры "EVE Online" (для применения исправления воспользуйтесь автоустановкой лончера EVE Online из PortProton)
* обновлен установщик для "World of Sea Battle"

###Scripts version 2403### / stable / Дата: 18.03.2025 / Размер скачиваемого обновления: 200 мегабайт
* кумулятивное обновление стабильной версии скриптов PortProton

###Scripts version 2402### / Дата: 13.03.2025 / Размер скачиваемого обновления: 15 мегабайт
* исправление меню глобальных настроек (user.conf) (спасибо Htylol)
* обновлены версии:
    - DXVK_GIT "2.5.3-299" (совместно с dxvk-nvapi)
    - VKD3D_GIT "1.1-4478" (совместно vkd3d-shader)

###Scripts version 2401### / Дата: 07.03.2025 / Размер скачиваемого обновления: 4 мегабайта
* HOTFIX: переключения веток DEVEL - STABLE от Htylol

###Scripts version 2400### / Дата: 07.03.2025 / Размер скачиваемого обновления: 4 мегабайта
* меню глобальных настроек (user.conf) приведёно к однородному виду (спасибо Htylol)
* исправлена работа тёмной темы для меню глобальных настроек (user.conf) (спасибо Htylol)

###Scripts version 2399### / Дата: 06.03.2025 / Размер скачиваемого обновления: 4 мегабайта
* добавлена (и используется по умолчанию) сортировка приложений по последним запускам (спасибо Htylol)
* добавлено восстановление скриптов для steam, при повторном добавлении ярлыка в библиотеку steam (спасибо alex2844)

###Scripts version 2398### / Дата: 05.03.2025 / Размер скачиваемого обновления: 4 мегабайта
* исправлена ошибка лишнего скачивания PROTON_LG из меню скачивания других версий WINE
* исправлены и улучшены функции интеграции PortProton со Steam (спасибо alex2844)

###Scripts version 2397### / Дата: 05.03.2025 / Размер скачиваемого обновления: 4 мегабайта
* исправлены иконки для автопоиска ярлыка после использования setup.exe (спасибо Htylol)
* добавлено отображение проведенного времени в игре в часах и минутах, можно переключить, или выключить в глобальных настройках (спасибо Htylol)

###Scripts version 2396### / Дата: 04.03.2025 / Размер скачиваемого обновления: 4 мегабайта
* исправлена работа exiftool во flatpak версии PortProton (спасибо Boria138)
* исправлены лишние запуски exiftool при переходе из меню игры в главное меню и обратно (спасибо Htylol)
* добавлен "GST_DEBUG=ERROR" для режима создания лога

###Scripts version 2395### / Дата: 28.02.2025 / Размер скачиваемого обновления: 190 мегабайт
* обновлен WINE_LG до версии "10-1"
* исправлена работа MANGOHUD для OpenGL во flatpak версии PortProton (спасибо Htylol и Boria138)
* контейнер Flatpak версии PortProton обновлён до версии 24.08 (спасибо Boria138)
* удалена установка "EA App"
* добавлены/обновлены файлы настроек для игр:
    - Kingdom Come Deliverance (спасибо Mels)
    - GTA Vice City Nextgen Edition (спасибо licrit)
    - Need For Speed Underground 2 (спасибо maximus)
    - Need for Speed Carbon (спасибо maximus)
    - Need for Speed - Most Wanted (спасибо maximus)

###Scripts version 2394### / Дата: 27.02.2025 / Размер скачиваемого обновления: 195 мегабайт
* обновлен пакет plugins_v20:
    - обновлен mangohud до версии 0.8.0 (спасибо Boria138)
    - добавлены библиотеки mf-install
* управление включением "Gallium Zink" и "Damavand" перенесено из "3D API" в основные настройки (спасибо Htylol)
* "Gallium Zink" используется по умолчанию совместно с dxvk (спасибо Htylol)

###Scripts version 2393### / Дата: 27.02.2025 / Размер скачиваемого обновления: 190 мегабайт
* обновлен пакет plugins_v19:
    - исправлено создание резервных копий префикса
    - обновлен шаблон префикса DEFAULT
    - добавлены библиотеки ffmpeg из STEAM
    - удалены библиотеки nvngx и gallium_nine

###Scripts version 2392### / Дата: 27.02.2025 / Размер скачиваемого обновления: 4 мегабайта
* автоматизированна и удалена из ручной настройки переменная: "WINE_LARGE_ADDRESS_AWARE"
* GUI_DISABLED_CS отключает все лого загрузки игры/программы (за исключением обновления префикса)
* исправлена установка "Guild Wars 2"

###Scripts version 2391### / Дата: 26.02.2025 / Размер скачиваемого обновления: 4 мегабайта
* возвращена и исправлена функция lsbash оптимизирующая запуск PortProton (спасибо Htylol)
* исправлена работа параметров запуска содержащие обратные слеши (спасибо Boria138)
* удален весь функционал связанный с устаревшим выбором 3D Api: "gallium nine"
* удалена автоустановка Stalker Online (нет поддержки античита со стороны разработчиков игры)

###Scripts version 2390### / Дата: 23.02.2025 / Размер скачиваемого обновления: 4 мегабайта
* добавлена информация о том что нельзя использовать FAKE_DLSS_3 в мультиплеерных играх
* добавлен индивидуальный dxvk.conf файл при использовании FAKE_DLSS_3 для подмены определения видеокарты в играх на NVIDIA RTX 4090
* добавлена возможность скачивания "CachyOS Proton" (спасибо Boria138)
* улучшены функции интеграции PortProton со Steam (спасибо alex2844):
    - добавлена возможность использовать "SteamAppId" вместо названия игры которое будет добавлено в стим. Тем самым стим будет подтягивать раскладки геймпадов для игр. Для активации используется переменная USE_STEAMAPPID_AS_NAME (addNonSteamGame)
    - добавлена проверка "StateFlags" и наличие секции "SharedDepots" в манифесте (listInstalledSteamGames)
    - добавлено кеширование списка приложений получаемых с сервера steam. Так же поиск по этому списку теперь регистронезависимый (getSteamId)

###Scripts version 2389### / Дата: 20.02.2025 / Размер скачиваемого обновления: 4 мегабайта
* добавлена настройка USE_FAKE_DLSS_3 которая включает подмену DLSS 3 (с возможностью генерации кадров) в FSR3

###Scripts version 2388### / stable / Дата: 04.02.2025 / Размер скачиваемого обновления: 10 мегабайт
* кумулятивное обновление стабильной версии скриптов PortProton

###Scripts version 2387### / Дата: 04.02.2025 / Размер скачиваемого обновления: 10 мегабайт
* обновлены версии:
    * DXVK_GIT "2.5.3-31" (совместно с dxvk-nvapi)
    * VKD3D_GIT "1.1-4367" (совместно vkd3d-shader)
* добавлена возможность замещения аргументов переменной WINEDEBUG в user.conf или .ppdb файлах настроек
* улучшение функций создания иконок (спасибо Htylol)
* добавлена поддержка Steam Play для игр установленных с помощью PortProton и когда выбрана версия proton в steam (спасибо alex2844)
* исправлена работа windows путей в аргументах запуска к игре (спасибо Boria138)
* исправлены ошибки при пустом каталоге "dist"

###Scripts version 2386### / Дата: 09.01.2025 / Размер скачиваемого обновления: 4 мегабайта
* исправление прав при создании desktop файлов (спасибо Boria138)
* исправлена функция отката скриптов из архива, если нет каталога scripts_backup (спасибо Boria138)
* добавлена возможность удаления игры из списка в библиотеке Steam с помощью функционала изменения ярлыка в PortProton (спасибо alex2844)
* при добавлении игры в библиотеку steam добавлена проверка на доступность сайта steamgriddb (спасибо alex2844)
* добавлены автоустановки игр (спасибо minergenon):
    * Last Chaos
    * Fractured Online

###Scripts version 2385### / stable / Дата: 29.12.2024 / Размер скачиваемого обновления: 195 мегабайт
* кумулятивное обновление стабильной версии скриптов PortProton

###Scripts version 2384### / Дата: 29.12.2024 / Размер скачиваемого обновления: 12 мегабайт
* доработан запуск ярлыков для игр из Epic Games Launcher (спасибо за помощь Htylol)
* обновлены версии:
    * DXVK_GIT "2.5.2-1" (совместно с dxvk-nvapi)
    * VKD3D_GIT "1.1-4326" (совместно vkd3d-shader)
* ВНИМАНИЕ! Из за проблем с доступом к сайту steamgriddb, временно отключено скачивание обложек при создании ярлыков для библиотеки Steam

###Scripts version 2383### / Дата: 22.12.2024 / Размер скачиваемого обновления: 4 мегабайта
* добавлено автоматическое создание ярлыков для игр из Epic Games Launcher (спасибо alex2844)

###Scripts version 2382### / Дата: 22.12.2024 / Размер скачиваемого обновления: 270 мегабайт
* обновлены версии:
    * DXVK_GIT "2.5.1-35" (совместно с dxvk-nvapi)
    * VKD3D_GIT "1.1-4325" (совместно vkd3d-shader)
* исправлена ошибка иконки когда есть символы на примере как в osu!.exe (спасибо Htylol и if984)
* исправлена ошибка предоставлении иконки от .bat для .exe файла при изменении ярлыка (спасибо Htylol)
* исправление переустановки PortProton с помощью аргумента --reinstall (спасибо Boria138)
* улучшена фкнуция проверки видеокарты (спасибо Htylol)
* для видеокарт AMD возвращен выбор драйвера Vulkan (спасибо Boria138)

###Scripts version 2381### / Дата: 01.12.2024 / Размер скачиваемого обновления: 180 мегабайт
* обновлен пакет plugins v18
    * gallium nine v0.10
    * удалены лишние библиотеки
* убрана белая рамка при загрузке PortProton в игровом режиме SteamDeck
* обновлены скрипты скачивания обложек для Steam (спасибо alex2844)
* добавлена возможность запуска windows ярлыков (спасибо alex2844)
* исправлен выход из PortProton при использовании GUI_DISABLED_CS (спасибо zorn-v)
* добавлены всплывающие подсказки для лаунчеров и эмуляторов во вкладке АВТОУСТАНОВКА (спасибо if984)
* исправлено окно авторизации в GOG на видеокартах NVIDIA (спасибо Boria138)

###Scripts version 2380### / stable / Дата: 17.11.2024 / Размер скачиваемого обновления: 4 мегабайта
* исправлена распаковка префиксов из резервных копий (спасибо Htylol)

###Scripts version 2379### / stable / Дата: 15.11.2024 / Размер скачиваемого обновления: 4 мегабайта
* HOTFIX - исправление проблем связанных с отсутствием звука

###Scripts version 2378### / stable / Дата: 15.11.2024 / Размер скачиваемого обновления: 4 мегабайта
* небольшие корректировки стабильной версии скриптов PortProton

###Scripts version 2377### / stable / Дата: 15.11.2024 / Размер скачиваемого обновления: 220 мегабайт
* кумулятивное обновление стабильной версии скриптов PortProton

###Scripts version 2376### / Дата: 14.11.2024 / Размер скачиваемого обновления: 4 мегабайта
* исправлена функция изменения глобальных настроек

###Scripts version 2375### / Дата: 14.11.2024 / Размер скачиваемого обновления: 4 мегабайта
* HOTFIX - исправлен долгий запуск на Alt p10 после обновления скриптов 2371 (спасибо Htylol)

###Scripts version 2374### / Дата: 12.11.2024 / Размер скачиваемого обновления: 4 мегабайта
* добавлена поддержка DLSS 3 для видеокарт NVIDIA RTX 40XX
* исправлена работа gamescope (спасибо Htylol)
* общая оптимизация скриптов (спасибо Htylol)

###Scripts version 2373### / Дата: 10.11.2024 / Размер скачиваемого обновления: 215 мегабайта
* обновлен PROTON_LG до версии "9-19"
* обновлены версии:
    * DXVK_GIT "2.4.1-446" (совместно с dxvk-nvapi)
    * VKD3D_GIT "1.1-4271" (совместно vkd3d-shader)
* исправлена работа игры Black Desert Online с новейшими версиями dxvk и vkd3d

###Scripts version 2372### / Дата: 09.11.2024 / Размер скачиваемого обновления: 4 мегабайта
* множество оптимизаций скриптов (спасибо Htylol)
* уменьшено рекомендуемое масштабирование
* добавлены/обновлены файлы настроек для игр:
    * NieR Automata (спасибо AlbiionDragon)
    * GTA 4 (спасибо eljeyna и PORTWAINE)
    * Mortal Kombat XL (спасибо Мэлс)
    * Red Dead Redemption (спасибо SDR)
* исправлена установка Plarium Play (спасибо A_V_Ilin)

###Scripts version 2371### / Дата: 08.11.2024 / Размер скачиваемого обновления: 4 мегабайта
* добавлено автоопределение масштабирования приложений, с возможностью изменения в глобальных настройках PP (спасибо Htylol)
* FUTEX2 отключен по умолчанию (ломает работу некоторых игр)
* добавлена автоустановка игры Saturn (спасибо Dervart)
* добавлена возможность выбора темной/светлой темы в глобальных настройках PP (спасибо Htylol)
* значительно улучшены функции (спасибо Htylol):
    * редактор реестра
    * определение расширения запускаемого файла
    * проверки ярлыков
    * настройки gamescope
* добавлена настройка масштаба курсора для gamescope (спасибо Htylol)

###Scripts version 2370### / Дата: 01.11.2024 / Размер скачиваемого обновления: 215 мегабайт
* обновлен PROTON_LG до версии "9-18"
* обновлены версии:
    * DXVK_GIT "2.4.1-393" (совместно с dxvk-nvapi)
    * VKD3D_GIT "1.1-4240" (совместно vkd3d-shader)
* улучшена функция добавления ярлыков в steam (спасибо alex2844)
* обновлен аргумент --help для CLI и добавлены переводы (спасибо Htylol)
* добавлена возможность изменять масштабирование инетрфейса в запущенных приложениях (спасибо Htylol)

###Scripts version 2369### / Дата: 31.10.2024 / Размер скачиваемого обновления: 4 мегабайта
* добавлены автоустановки игр (спасибо Chal55rus):
    * Chicken Invaders Universe
    * Eldevin
    * The World of Nifty Craft
    * Toribash
* улучшена работа счетчика времени проведенного в игре (спасибо Htylol)
* исправлены бэкапы префиксов для систем с SELinux (спасибо Htylol и Alek)
* обновлен CLI и добавлены аргументы: --launch, --edit-db (спасибо Htylol)
* множество других улучшений и оптимизаций скриптов

###Scripts version 2368### / Дата: 27.10.2024 / Размер скачиваемого обновления: 4 мегабайта
* добавлены автоустановки игр (спасибо Chal55rus):
    * Goose Goose Duck
    * Miniworld
    * Toontown Rewritten
* добавлено отключение спящего режима в процессе игры, если не используется gamemode (спасибо Boria138)
* исправления и оптимизации работы интерфейса в Менеджере префиксов (спасибо Htylol)
* добавлена возможность изменения всех ярлыков из интерфейса PortProton (спасибо Htylol)
* исправлен сброс счетчика времени проведенного в игре при перемещении игры в другой каталог, или удалёния ярлыка (спасибо Htylol)
* улучшена функция скачивания обложек при добавлении игры в библиотеку STEAM (спасибо Boria138)

###Scripts version 2367### / Дата: 25.10.2024 / Размер скачиваемого обновления: 4 мегабайта
* исправлено использование gamemode в нативной версии PortProton
* продолжено улучшение функционала создания ярлыков и комментариев (спасибо Htylol)
* добавлена автоустановка "Elsword" (спасибо Chal55rus)

###Scripts version 2366### / Дата: 24.10.2024 / Размер скачиваемого обновления: 4 мегабайта
* удалена автоустановка "CatsLauncher" по причине переезда игры "Передний край" в "vkPlay"
* обновлена версия меню трея (спасибо Htylol)
* улучшен функционал создания ярлыков и комментариев (спасибо Htylol)
* обновлен испанский язык (спасибо Boria138)
* улучшена и оптимизирована функция скачивания обложек для Steam (спасибо Boria138)
* другие небольшие улучшения интерфейса настроек (спасибо Htylol)

###Scripts version 2365### / Дата: 23.10.2024 / Размер скачиваемого обновления: 4 мегабайта
* добавлены переводы для использования системного wine и скачивания других версий wine (спасибо Htylol)
* улучшен функционал определения названия для создания ярлыков (спасибо Htylol)
* добавлена проверка на дубликаты ярлыков (спасибо Htylol)
* добавлена поддержка ZINK для NVK (спасибо Htylol)
* добавлена автоустановка игр (спасибо Chal55rus):
    * Broken Ranks
    * DC Universe Online
    * The Lord of the Rings Online
* исправлена ссылка в тексте при создании лога

###Scripts version 2364### / Дата: 19.10.2024 / Размер скачиваемого обновления: 215 мегабайт
* обновлен PROTON_LG до версии "9-16"
* обновлены версии:
    * DXVK_GIT "2.4.1-194" (совместно с dxvk-nvapi)
    * VKD3D_GIT "1.1-4240" (совместно vkd3d-shader)
* добавлена автоустановка "Age of Empires Online" (спасибо Chal55rus)
* добавлено отключение gamemode если используеться ananicy (спасибо Boria138)
* приняты улучшения от Htylol (спасибо): 
    * переведены во всех настроках пункты содержащие: "выключено/включено"
    * обновлена версия "YAD" - графического интерфейса
    * исправлен winecmd во flatpak
    * другие улучшения и оптимизации скриптов
    * в основные настройки добавлена переменная PW_MESA_VK_WSI_PRESENT_MODE (принудительное включение и выключение вертикальной синхронизации)
    * обновлен список версий OpenGL для настройки MESA_GL_VERSION_OVERRIDE
* ESYNC включен совместно с FSYNC по умолчанию, при условии что "ulimit -Hn" больше, или равно "524288"

###Scripts version 2363### / Дата: 14.10.2024 / Размер скачиваемого обновления: 4 мегабайт
* приняты улучшения от Htylol (большое спасибо): 
    * обновлена версия меню трея
    * добавлен счетчик времени проведенного в игре (можно включить в глобальных настройках)
    * часто запускаемые игры передвигаются в начало списка игр (можно отключить в глобальных настройках)
    * другие исправления и оптимизации работы интерфейса
    * обновлены переводы
* добавлена автоустановка игр (спасибо Chal55rus):
    * Exotanks
    * Tanki Online
    * Albion Online

###Scripts version 2362### / Дата: 04.10.2024 / Размер скачиваемого обновления: 4 мегабайт
* добавлена анимация закрузки игр в игровом режиме на Steam Deck
* добавлена автогенерация вкладки автоустановок (при добавлении новых приложений, более не требуется изменять скрипт start.sh)
* добавлена минимальная проверка корректности написания скриптов для автоустановок приложений 
* обновлены все скрипты автоустановок (спасибо Htylol)
* обновлена версия "YAD" - графического интерфейса (спасибо Htylol)

###Scripts version 2361### / Дата: 02.10.2024 / Размер скачиваемого обновления: 4 мегабайт
* добавлена автоустановка "Rise of Flight" (спасибо Chal55rus)
* добавлена автоустановка "Arizona Games Launcher" (спасибо Chal55rus)
* улучшена функция обновления скриптов (спасибо Htylol)

###Scripts version 2360### / stable / Дата: 30.09.2024 / Размер скачиваемого обновления: 4 мегабайт
* HOTFIX: исправлено определение flatpak на некоторых системах (спасибо Htylol)

###Scripts version 2359### / stable / Дата: 30.09.2024 / Размер скачиваемого обновления: 220 мегабайт
* кумулятивное обновление стабильной версии скриптов PortProton

###Scripts version 2358### / Дата: 30.09.2024 / Размер скачиваемого обновления: 4 мегабайт
* добавлены для игрового режима на Steam Deck:
    * возможность обновления PortProton
    * отображение процесса скачивания и распаковки всех пакетов PortProton
* добавлена автоустановка "Lost Light" (спасибо Chal55rus)
* добавлена автоустановка "GameXP" (спасибо Chal55rus)

###Scripts version 2357### / Дата: 29.09.2024 / Размер скачиваемого обновления: 220 мегабайт
* обновлен PROTON_LG до версии "9-15"
* обновлены версии:
    * DXVK_GIT "2.4.1-74"
    * VKD3D_GIT "1.1-4202"
* добавлена автоустановка "Star Conflict" (спасибо Chal55rus)
* добавлена автоустановка "Blood and Soul" (спасибо Chal55rus)
* обновлена автоустановка "World of Sea Battle" (спасибо valokardin)
* для "World of Sea Battle" исправлено переключение языка в игре и больше не требуется префикс "DOTNET"
* исправлено определение выбора файлов настроек когда exe файл является символьной ссылкой
* добавлены возвраты в основное меню после отмены переустановки/удалении PP, чистки префикса и удаления программ (спасибо Htylol)
* исправлен запуск игр/программ при использовании отключения графического интерфейса (GUI_DISABLED_CS)

###Scripts version 2356### / stable / Дата: 28.09.2024 / Размер скачиваемого обновления: 4 мегабайт
* исправлена работа в steam и ingame

###Scripts version 2355### / stable / Дата: 28.09.2024 / Размер скачиваемого обновления: 385 мегабайт
* кумулятивное обновление стабильной версии скриптов PortProton

###Scripts version 2354### / Дата: 28.09.2024 / Размер скачиваемого обновления: 4 мегабайт
* добавлен возврат в меню PortProton после использования winecfg, winereg, winecmd и winefile (спасибо Htylol)

###Scripts version 2353### / Дата: 27.09.2024 / Размер скачиваемого обновления: 4 мегабайт
* оптимизированы функции автоустановки всех игр/лаунчеров
* ускорен первичный запуск PortProton (спасибо Htylol)
* удалена автоустановка эмулятора "CITRA"
* обновлена автоустановка эмулятора "CEMU"
* возвращена установка игры "Secret World Legends (ENG)"
* исправлена и обновлена автоустановка иры "OSU!"
* улучшена функция скачивания сторонних версий WINE
* добавлены файлы настроек для игр (спасибо Мэлс):
    * LEGO Star Wars: The Skywalker Saga
    * God of War Ragnarok

###Scripts version 2352### / Дата: 26.09.2024 / Размер скачиваемого обновления: 4 мегабайт
* добавлена автоустановка игры "Farlight 84" (спасибо Chal55rus)
* продолжение оптимизаций функций PortProton совместно с Htylol

###Scripts version 2351### / Дата: 25.09.2024 / Размер скачиваемого обновления: 180 мегабайт
* обновлен пакет библиотек контейнера: libs_v52
* еще больше оптимизаций отзывчивости переключения окон (спасибо Htylol)
* улучшена логика работы обновления скриптов (спасибо Htylol)

###Scripts version 2350### / Дата: 24.09.2024 / Размер скачиваемого обновления: 15 мегабайт
* обновлены версии:
    * DXVK_GIT "2.4-94"
    * VKD3D_GIT "1.1-4191"
* добавлен кэш переводов, что сильно улучшает отзывчивость интерфейса (спасибо Htylol)
* исправлен запуск ярлыков со спец. символами в названии (спасибо Htylol)
* ограничено количество символов для названия ярлыков во вкладке "установленные" (исправляет чрезмерно широкое меню) (спасибо Htylol)
* отключена декорация для лончера HoYoPlay (исправляет вместимость в окне) (спасибо Boria138)
* установка Crossout вынесена в отдельный префикс и отключена декорация для лончера (исправляет вместимость в окне)

###Scripts version 2349### / Дата: 18.09.2024 / Размер скачиваемого обновления: 4 мегабайт
* исправлено определение путей видеодрайвера для будущих версий ALT Linux (p11)

###Scripts version 2348### / Дата: 17.09.2024 / Размер скачиваемого обновления: 4 мегабайт
* обновлены версии:
    * DXVK_GIT "2.4-41"
    * VKD3D_GIT "1.1-4110"

###Scripts version 2347### / Дата: 16.09.2024 / Размер скачиваемого обновления: 4 мегабайт
* добавлена переменная PW_NO_AUTO_CREATE_SHORTCUT для исключения автоматического создания ярлыка
* добавлена возможность сброса глобальных настроек user.conf (спасибо Htylol)
* улучшена функция проверки обновления скриптов (спасибо Htylol)
* добавлен аргумент CLI: "--update" для принудительной проверки обновлений

###Scripts version 2346### / Дата: 14.09.2024 / Размер скачиваемого обновления: 4 мегабайт
* Исправлена ошибка длительного ожидания обновлений

###Scripts version 2345### / Дата: 14.09.2024 / Размер скачиваемого обновления: 4 мегабайт
* исправлено автоматическое закрытие трея после использования АВТОУСТАНОВОК
* ускорен запуск при отсутствии возможности проверки обновлений

###Scripts version 2344### / Дата: 13.09.2024 / Размер скачиваемого обновления: 4 мегабайт
* за данное обноление огромное спасибо Htylol, все нижеперечисленное - его заслуга :)
    * добавлен сброс настроек для mangohud и vkbasalt
    * исправлен предпросмотр mangohud, если он выключен
    * настройки user.conf вынесены из настроек editdb и настроек portproton, 
    * для user.conf сделан отдельный графический интерфейс, с возможностью запуска настроек из главного меню и при запуске игры/программы
    * добавлен возврат в главное меню после создания бекапа, winetricks, wine download и прочего, и добавлен возврат на последние активные вкладки
    * добавлены промежуточные возвраты (на предыдущее активное окно)
    * обновлены переводы (испанский, русский)
    * добавлена возможность открывать директорию игры/программы из вкладки настроек
    * исправлена ошибка некоректных коментариев для exe файла
    * небольшие улучшения и оптимизации

###Scripts version 2343### / Дата: 04.09.2024 / Размер скачиваемого обновления: 190 мегабайт
* обновлен PROTON_LG до версии "9-12"
* обновлены версии:
    * DXVK_GIT "2.4-37"
    * VKD3D_GIT "1.1-4167"
* улучшена поддержка flatpak версии PortProton для Alpine Linux (спасибо Boria138)
* исправлен трей для WM: BSPWM (спасибо Htylol)
* исправлен запуск некоторых bat файлов (спасибо Htylol)

###Scripts version 2342### / stable / Дата: 30.08.2024 / Размер скачиваемого обновления: 385 мегабайт
* кумулятивное обновление стабильной версии скриптов PortProton

###Scripts version 2341### / Дата: 30.08.2024 / Размер скачиваемого обновления: 4 мегабайта
* небольшие улучшения создания ярлыков и иконок
* обновлена автоустановка HoYoPlay (спасибо Eljeyna)

###Scripts version 2340### / Дата: 27.08.2024 / Размер скачиваемого обновления: 380 мегабайт
* в менеджер префикса добавлена возможность стандартной установки (без принудительного перезакачивания компонентов)
* обновлен PROTON_LG до версии "9-11"
* обновлен WINE_LG до версии "9-12-2"
* обновлен в репозиториях тестовый WINE_LG_NTSYNC до версии "9-13-2"
* улучшена функция подготовки префиксов "DOTNET" и "PROGRAMS"
* исправлена необходимость перезапуска vkPlay после смены версии WINE и обновлении префикса
* добавлены файлы настроек для игр (спасибо Мэлс):
    * Heavy Rain
    * Beyond Two Souls
    * Assassins Creed Origins

###Scripts version 2339### / Дата: 25.08.2024 / Размер скачиваемого обновления: 180 мегабайт
* обновлен пакет библиотек libs_v49 (контейнер sniper 0.20240820.99315)
* небольшие улучшения и оптимизации (спасибо Htylol)

###Scripts version 2338### / Дата: 12.08.2024 / Размер скачиваемого обновления: 4 мегабайта
* обновлены списки помощников и благодарностей в "НАСТРОЙКИ PORTPROTON" --> "Авторы и благодарности"
* добавлена возможность запуска .reg файлов (спасибо Boria138)
* добавлены иконки для msi, bat и reg файлов (спасибо Dervart)
* исправлена центровка GUI для XFCE (спасибо Htylol)
* добавлено автоматическое отключение скачивания обложек для STEAM если нет доступа к серверу обложек

###Scripts version 2337### / Дата: 09.08.2024 / Размер скачиваемого обновления: 4 мегабайта
* исправлена центровка GUI на SteamDeck (спасибо Htylol)
* добавлена ассоциация .bat файлов (спасибо Boria138)
* добавлен файл настроек для Vortex Mod Manager (спасибо Eljeyna)
* исправлено создание лишнего ярлыка для лончеров LGC и WGC

###Scripts version 2336### / stable / Дата: 08.08.2024 / Размер скачиваемого обновления: 4 мегабайта
* улучшение работы верификации скачанных файлов

###Scripts version 2335### / stable / Дата: 07.08.2024 / Размер скачиваемого обновления: 185 мегабайт
* кумулятивное обновление стабильной версии скриптов PortProton

###Scripts version 2334### / Дата: 07.08.2024 / Размер скачиваемого обновления: 4 мегабайта
* служебная информация переведена на всплывающие оповещения (спасибо Htylol, Храмычъ, Dervart)
* добавлена возможность использования всплывающих оповещений во flatpak (спасибо Boria138)
* добавлена возможность скачивания экспериментального WINE_LG_NTSYNC
* добавлены файлы настроек для игр (спасибо Eljeyna):
    * Act of War - Direct Action
    * Act of War - High Treason 

###Scripts version 2333### / Дата: 06.08.2024 / Размер скачиваемого обновления: 4 мегабайта
* создан новый сайт cloud.linux-gaming.ru (спасибо Храмычъ)
* изменён источник скачивания с CDN (зеркало), на сервер проекта cloud.linux-gaming.ru (спасибо @Помощники)
* добавлена верификация файлов после скачивания

###Scripts version 2332### / Дата: 05.08.2024 / Размер скачиваемого обновления: 4 мегабайта
* исправлено отображение иконок для переименованных ярлыков (спасибо Arta48)
* общая оптимизация скриптов (спасибо Htylol)
* добавлены/обновлены файлы настроек для игр:
    * Star Wars Bounty Hunter (спасибо Eljeyna)
    * Beyond Divinity (спасибо Alek V и Eljeyna)
    * Street Fighter V (спасибо Мэлс)

###Scripts version 2331### / Дата: 01.08.2024 / Размер скачиваемого обновления: 4 мегабайта
* исправлено скачивание сторонних версий wine прописанных в файл настроек игры/программы
* в настройки добавлен выбор аудио драйвера (спасибо Boria138)
* добавлен комментарий для "EVE Online" для рабочего окружения "GNOME" (спасибо Boria138)
* улучшены функции создания иконок (спасибо Htylol)
* улучшен режим создания лога (спасибо Htylol)
* исправлено удаление ярлыков содержащие пробелы (спасибо Htylol)
* обновлены переводы
* добавлены/обновлены файлы настроек для игр:
    * FarCry 4 (спасибо Alek V и Мэлс)
    * Resident Evil 7: Biohazard (спасибо Мэлс)
    * Horizon Forbidden West (спасибо Мэлс)
    * Bright Memory Infinite (спасибо Eljeyna)
    * Lord of The Rings: Battle for MiddleEarth (спасибо user1)
    * Apollo Justice: Ace Attorney Trilogy (спасибо SDR)

###Scripts version 2330### / Дата: 30.07.2024 / Размер скачиваемого обновления: 4 мегабайта
* обновлен трей на основе libayatana-appindicator (спасибо Htylol)
* в настройки добавлен выбор win11 (спасибо Boria138)
* улучшено создание иконок для ярлыков (спасибо Boria138)
* исправлено удаление дисков добавленных вручную (спасибо Boria138)
* обновлена версия yad для улучшения интерфейса (спасибо Htylol)
* исправлено удаление при существовании дублирующих ярлыков (спасибо Htylol)
* добавлен файл настроек для всех русификаторов от GamesVoice (за тесты спасибо SDR)

###Scripts version 2329### / Дата: 26.07.2024 / Размер скачиваемого обновления: 4 мегабайта
* создан новый трей на основе libayatana-appindicator (спасибо Htylol)
* улучшено автоматическое создание ярлыков галочкой "создать ярлык" в самом установщике (спасибо Boria138 и Htylol)
* обновлен пакет plugins до версии 17

###Scripts version 2328### / Дата: 25.07.2024 / Размер скачиваемого обновления: 4 мегабайта
* обновлена иконка для setup файлов (спасибо Dervart)
* исправлена центровка интерфейса для KDE
* добавлено автоматическое создание ярлыков галочкой "создать ярлык" в самом установщике (спасибо Boria138 и Htylol)
* редактор файлов настроек переключен на yad (спасибо Htylol)

###Scripts version 2327### / stable / Дата: 25.07.2024 / Размер скачиваемого обновления: 4 мегабайта
* кумулятивное обновление стабильной версии скриптов PortProton

###Scripts version 2326### / Дата: 24.07.2024 / Размер скачиваемого обновления: 4 мегабайта
* обновлен README.md (спасибо Kazevic)
* редактор user.conf переключен на yad (спасибо Htylol)
* исправлена работа монтирования дисков в dosdevice (спасибо Boria138)
* добавлен диск S который всегда ссылается на каталог с играми в STEAM (для удобства установки русификаторов и модов в игры из библиотеки STEAM)

###Scripts version 2325### / Дата: 22.07.2024 / Размер скачиваемого обновления: 4 мегабайта
* обновлена автоустановка Caliber
* исправлено отображение иконки Yabause
* исправлено добавление иконок при создании ярлыка в библиотеку steam (спасибо Boria138)
* обновлено окно настроек gamescope (спасибо Htylol)
* обновлена функция выбора языка (спасибо Htylol)
* исправление создания иконок в системах использующих SELinux (спасибо Boria138)

###Scripts version 2324### / Дата: 18.07.2024 / Размер скачиваемого обновления: 4 мегабайта
* доработана русская локализация (спасибо Eljeyna)

###Scripts version 2323### / Дата: 17.07.2024 / Размер скачиваемого обновления: 4 мегабайта
* обновлен русский перевод (спасибо Eljeyna и Alek V)
* обновлена функция скачивания обложек в библиотеку STEAM (спасибо Boria138)
* добавлено сохранение выбора где необходимо создать ярлык (спасибо Htylol)
* добавлены/обновлены файлы настроек для игр (спасибо Мэлс):
    * Bioshock Remastered,
    * Bioshock 2 Remastered,
    * Teenage Mutant Ninja Turtles,
    * Teenage Mutant Ninja Turtles 2: Battle Nexus,
    * Alan Wake Remastered,
    * Halo Infinite,
    * The Matrix: Path of Neo,
    * Persona 4 Golden,
    * Dying Light,
    * Halo Infinite,
    * RoboCop Rogue City,
    * Need for Speed - Hot Pursuit 2 (2002),
    * Resident Evil 4 Remake,
    * Plague Tale: Requiem,
    * Dishonored 2,
    * The Witcher 3: Wild Hunt (Nextgen),
    * A Plague Tale: Innocence,
    * Far Cry 5 Gold Edition,

* добавлены файлы настроек для игр (спасибо Eljeyna):
    * Alone in the Dark (2024),
    * Animal Well.


###Scripts version 2322### / Дата: 16.07.2024 / Размер скачиваемого обновления: 4 мегабайта
* обновлен испанский перевод (спасибо BlackSnaker)
* частично обновлен русский перевод (спасибо Alek V)
* добавлено сравнение файлов NVAPI для предотвращения повторного копирования (спасибо Htylol)
* обновлены функции 3D Api для видеокарт NVIDIA (спасибо Htylol)
* ярлыки в библиотеку STEAM создаются с обложками (спасибо Boria138)

###Scripts version 2321### / Дата: 15.07.2024 / Размер скачиваемого обновления: 190 мегабайт
* обновлен WINE_LG до версии "9-12"
* обновлены версии:
    * DXVK_GIT "2.3.1-120"
    * VKD3D_GIT "1.1-4110"
* исправлен список версий WINE если каталог dist пустой (спасибо Htylol)
* добавлены переводы winetricks (спасибо Htylol)
* добавлено описание файловой системы куда установлена игра, PortProton и временный каталог (спасибо Htylol)

###Scripts version 2320### / stable / Дата: 15.07.2024 / Размер скачиваемого обновления: 4 мегабайта
* исправлена редкая проблема запуска на SteamOS (спасибо Htylol)
* добавлено определение версии системы при использовании flatpak (спасибо Htylol)
* добавлена информация о текущей версии BRANCH в шапку интерфейса (спасибо Htylol)
* небольшие улучшения и оптимизации

###Scripts version 2319### Дата: 14.07.2024 / Размер скачиваемого обновления: 4 мегабайта
* добавлен автоматический откат версии скриптов при переходе с DEVEL на STABLE

###Scripts version 2318### Дата: 14.07.2024 / Размер скачиваемого обновления: 4 мегабайта
* тест обновления DEVEL версии

###Scripts version 2317### Дата: 14.07.2024 / Размер скачиваемого обновления: 4 мегабайта
* в интерфейс настроек PortProton добавлен выбор версий STABLE и DEVEL

###Scripts version 2316### Дата: 13.07.2024 / Размер скачиваемого обновления: 4 мегабайта
* HOTFIX - запуск на некоторых системах

###Scripts version 2315### Дата: 12.07.2024 / Размер скачиваемого обновления: 4 мегабайта
* исправлено отображение версии PROTON_LG и WINE_LG при отсутствии файла настроек (спасибо Htylol)
* добавлена возможность запуска отладки скриптов из терминала: portproton --debug (спасибо Boria138 и Htylol)
* исправлено сохранение настроек при запуске ярлыков из основного меню
* исправлено создание ярлыков после установки игры/приложения из setup.exe

###Scripts version 2314### Дата: 11.07.2024 / Размер скачиваемого обновления: 4 мегабайта
* HOTFIX - создание нескольких ярлыков при распаковке резервной копии префикса
* исправлено полное отключение CAS в меню vkBasalt (0 в меню равно -1 в переменной)
* исправлено автовыключение лончера HoYoPlay после первичной установки

###Scripts version 2313### Дата: 11.07.2024 / Размер скачиваемого обновления: 4 мегабайта
* добавлены все настройки gamescope в интерфейс PortProton (огромное спасибо Htylol)
* добавлена экспериментальная возможность запуска нативной версии wine-wayland с сторонней версией wine, которая скомпилирована с данной функцией (спасибо Boria138)
* временные файлы перенесены в каталог /tmp/PortProton (спасибо Htylol)
* исправлено переключение языка в играх использующих .ini файлы (спасибо Eljeyna)
* автоустановка Genshin Impact изменена на HoYoPlay
* исправлен черный экран в Steam PP
* обновлен интерфейс настроек dgVoodoo2 (спасибо Htylol)
* обновлен интерфейс настроек gamescope (спасибо Htylol)
* исправлена работа winecmd
* исправлено создание нескольких ярлыков при распаковке резервной копии префикса
* исправлена автоустановка World of Sea Battle
* небольшие улучшения и оптимизации (спасибо Boria138 и Htylol)

###Scripts version 2312### Дата: 25.06.2024 / Размер скачиваемого обновления: 4 мегабайта
* HOTFIX - исправлена ошибка: "Argument list too long" 

###Scripts version 2311### Дата: 24.06.2024 / Размер скачиваемого обновления: 4 мегабайта
* обновлена версия yad - добавлено автовыключение заблокированных настроек (спасибо Htylol)
* дополнительные небольшие оптимизации скриптов (спасибо Htylol)
* исправлена ошибка с замещением переменной локализации (спасибо Htylol и Boria138)

###Scripts version 2310### Дата: 23.06.2024 / Размер скачиваемого обновления: 4 мегабайта
* HOTFIX - создание ярлыка для .exe файлов

###Scripts version 2309### Дата: 23.06.2024 / Размер скачиваемого обновления: 205 мегабайта
* обновлен PROTON_LG до версии "9-7"
* добавлена возможность запуска .exe файлов из терминала с относительными путями (спасибо Boria138)
* добавлены дополнительные оптимизации работы интерфейса (спасибо Htylol)
* обновлена версия yad до версии 14 - для улучшения настройки интерфейса (спасибо Htylol)
* обновлены темы интерфейса (спасибо Dervart и Htylol)
* добавлено отключение несовместимых настроек с "3D Api"
* исправлена работа DLSS на видеокартах NVIDIA RTX
* при создании ярлыка в библиотеку STEAM возвращены пути до скриптов и добавлены исключения для игр AC Valhalla и Valheim
* исправлено автоматическое переключение на русский язык в некоторых играх

###Scripts version 2308### Дата: 18.06.2024 / Размер скачиваемого обновления: 187 мегабайта
* обновлен WINE_LG до версии "9-11"
* автоустановка BattleNET перенесена в отдельный префикс BATTLE_NET

###Scripts version 2307### Дата: 18.06.2024 / Размер скачиваемого обновления: 4 мегабайта
* исправлена автоустановка BattleNET
* рефакторинг скриптов для оптимизации работы интерфейса (спасибо Htylol)
* замена копирования библиотек в префикс на создание символьных ссылок

###Scripts version 2306### Дата: 14.06.2024 / Размер скачиваемого обновления: 4 мегабайта
* обновлена версия yad - для улучшения настройки интерфейса (спасибо Htylol)
* обновлен интерфейс выбора языка (спасибо Boria138)
* добавлены дополнительные оптимизации работы интерфейса (спасибо Htylol)
* обновлены темы (спасибо Dervart)
* добавлен HOTFIX на проверку установленных plugins

###Scripts version 2305### Дата: 12.06.2024 / Размер скачиваемого обновления: 183 мегабайта
* ВНИМАНИЕ: после обновления скриптов необходимо один раз перезапустить PortProton что бы скачалась новая версия plugins!

* обновлен пакет plugins до v16:
    * обновлена версия yad - добавлено множество патчей улучшающих интерфейс (спасибо Htylol)
    * исправлена информация о проекте при наведении курсора на иконку в трее (спасибо Htylol)
    * обновлен интерфейс запуска exe и ярлыков, добавлена вкладка с настройками (спасибо Htylol)
    * ускорено создание новых префиксов (в 1.5 и более раз в зависимости от характеристик ПК)
    * обновлен dxvk-nvapi до v0.7.0-5
    * добавлена портативная версия icoextract для лучшего извлечения иконок из exe файлов (спасибо Boria138)

* обновлены версии:
    * DXVK_GIT "2.3.1-72"
    * VKD3D_GIT "1.1-4051"

* оптимизирована скорость переключения настроек интерфейса PortProton
* добавлена символьная ссылка в домашний каталог для flatpak версии PortProton
* улучшен интерфейс PortProton
* добавлена тема: compact (спасибо Htylol)
* добавлено переключение вида основного интерфейса запуска exe и ярлыков в меню "PortProton -> Настройки PortProton -> Изменить интерфейс запуска" (спасибо Htylol)
* настройки GameScope вынесены в отдельное окно (для будущего расширения функционала)
* улучшен интерфейс загрузки wine и добавлена возможность выбора нескольких версий одновременно
* множество небольших улучшений графического интерфейса и скриптов

###Scripts version 2304### Дата: 10.06.2024 / Размер скачиваемого обновления: 3 мегабайта
* HOTFIX - определения драйвера Vulkan на системах Alt Linux + NVIDIA

###Scripts version 2303### Дата: 06.06.2024 / Размер скачиваемого обновления: 190 мегабайт
* обновлен WINE_LG до версии "9-10"
* обновлен установщик GOG
* исправлено отображение правильных иконок .exe файлов

###Scripts version 2302### Дата: 03.06.2024 / Размер скачиваемого обновления: 405 мегабайт
* обновлен WINE_LG до версии "9-9"
* обновлен PROTON_LG до версии "9-5-1" (добавлены патчи для улучшения работы геймпадов dualsense) 
* обновлены версии:
    DXVK_GIT "2.3.1-37"
    VKD3D_GIT "1.1-4022"
* исправлен запуск игр на SteamDeck которые работали только при запуске с "Рабочего Стола" (для таких игр требуется пересоздать ярлык в библиотеке STEAM)

###Scripts version 2301### Дата: 29.05.2024 / Размер скачиваемого обновления: 3 мегабайта
* HOTFIX - запуск на некоторых системах

###Scripts version 2300### Дата: 29.05.2024 / Размер скачиваемого обновления: 3 мегабайта
* добавлена автоустановка игры Anomaly Zone (спасибо Chal55rus)
* улучшена функция определения названия игры/программы (спасибо Boria138)
* улучшена работа dgVoodoo2 в режиме трансляции в DX12/VKD3D (спасибо Htylol)
* vkBasalt выключен по умолчанию

###Scripts version 2299### Дата: 12.05.2024 / Размер скачиваемого обновления: 3 мегабайта
* добавлен испанский язык (спасибо BlackSnaker и Boria138)
* добавлена автоустановка лончера W3D_HUB (спасибо Chal55rus и Boria138)
* исправлена работоспособность ярлыков PortProton при установке из flathub
* добавлен приоритет использования icoextract при создании иконок для .exe файлов (спасибо Boria138)
* обновлен файл настроек для игры Deathloop (спасибо Eljeyna)
* произведен рефакторинг функций выбора 3D Api (спасибо Htylol)
* добавлены настройки DGV2_16BIT_MODE, DGV2_VRAM_INCREASE, DGV2_FILTERING, DGV2_ANTIALIASING, DGV2_DISABLE_D3D (спасибо Htylol)

###Scripts version 2298### Дата: 09.05.2024 / Размер скачиваемого обновления: 3 мегабайта
* HOTFIX - исправлен предварительный просмотр настроек MANGOHUD при его отсутствии в системе

###Scripts version 2297### Дата: 09.05.2024 / Размер скачиваемого обновления: 3 мегабайта
* включение dgvoodoo2 перенесено в настройки (для возможности использования во всех 3D Api включая трансляцию в OpenGL) (спасибо Htylol)
* исправлен совместный запуск системных и портативных версий MANGOHUD и vkBasalt во flatpak (спасибо Htylol)
* в настройки MANGOHUD добавлена возможность предпросмотра изменений (спасибо Boria138)
* возвращена стандартная иконка в трей

###Scripts version 2296### Дата: 08.05.2024 / Размер скачиваемого обновления: 3 мегабайта
* исправлен совместный запуск системных и портативных версий MANGOHUD и vkBasalt
* исправлен сброс настроек частоты обновления экрана в XFCE
* улучшена функция скачивания сторонних версий WINE/PROTON
* небольшие улучшения скриптов

###Scripts version 2295### Дата: 07.05.2024 / Размер скачиваемого обновления: 3 мегабайта
* исправлено определение префикса если он является символьной ссылкой
* добавлена возможность принудительного использования DINPUT_PROTOCOL (спасибо Eljeyna)
* добавлены дополнительные настройки для dgVoodoo2 (спасибо Htylol)

###Scripts version 2294### Дата: 06.05.2024 / Размер скачиваемого обновления: 3 мегабайта
* HOTFIX - определения используемого файла настроек

###Scripts version 2293### Дата: 06.05.2024 / Размер скачиваемого обновления: 3 мегабайта
* в настройки MANGOHUD добавлен выбор нескольких ограничений FPS (спасибо Boria138)
* улучшено создание файла настроек для .exe файлов при первом запуске
* добавлено автоматическое определение префикса из которого запускается exe файл

###Scripts version 2292### Дата: 04.05.2024 / Размер скачиваемого обновления: 3 мегабайта
* добавлен принудительный выбор языка в настройки при запуске .exe файлов (спасибо Boria138)
* добавлена возможность принудительного использования XINPUT в настройках при запуске .exe файлов

###Scripts version 2291### Дата: 03.05.2024 / Размер скачиваемого обновления: 3 мегабайта
* добавлен перезапуск PortProton после создания ярлыка и при выходе на "крестик" в настройках
* автоматизирована трансляция всех версий DirectX + glide (3Dfx) в Vulkan (спасибо Htylol)
* добавлена экспериментальная версия 3D API: Damavand (трансляция wined3d в Vulkan)

###Scripts version 2290### Дата: 30.04.2024 / Размер скачиваемого обновления: 3 мегабайта
* исправлена автоустановка игры КАЛИБР

###Scripts version 2289### Дата: 30.04.2024 / Размер скачиваемого обновления: 3 мегабайта
* выбор устаревшей версии DXVK объединён с DGVOODOO2 (спасибо Htylol)
* исправлено кеширование VKD3D шейдеров для игр DirectX 12 (спасибо Htylol)
* исправлены русские локализации в играх при запуске из steam (спасибо Мэлс и SDR)

###Scripts version 2288### Дата: 27.04.2024 / Размер скачиваемого обновления: 3 мегабайта
* произведен рефакторинг функций 3D API
* исправлена работа PortProton при отсутствии gettext.sh (спасибо Boria138)
* исправлена работа MANGOHUD в режиме 3D API: OpenGL (спасибо Htylol)

###Scripts version 2287### Дата: 26.04.2024 / Размер скачиваемого обновления: 3 мегабайта
* HOTFIX для "DGVOODOO2"  (спасибо Htylol)

###Scripts version 2286### Дата: 25.04.2024 / Размер скачиваемого обновления: 3 мегабайта
* исправлено переключение языка при отсутствии переменной "$LANG" в системе (некоторые версии Steam Deck)
* добавлена возможность использования устаревшей версии DXVK (для видеокарт поддерживающий только версию Vulkan 1.1 пример NVIDIA + драйвер 370 версии)

###Scripts version 2285### Дата: 25.04.2024 / Размер скачиваемого обновления: 3 мегабайта
* добавлено включение "DGVOODOO2" в "3D API" что дает возможность трансляции старых игр в Vulkan c использованием улучшения графики с помощью vkBasalt (спасибо Htylol)
* улучшена функция распаковки архивов (спасибо Boria138)
* оптимизированы и улучшены анимации (спасибо Dervart)

###Scripts version 2284### Дата: 23.04.2024 / Размер скачиваемого обновления: 240 мегабайт
* добавлен новый функционал в меню PortProton -> НАСТРОЙКИ PORTPROTON -> Сменить зеркало (для переключения скачивания с CDN на GITHUB и обратно)
* обновлен WINE_LG до версии 9-7
* обновлен PROTON_LG до версии "9-4"
* обновлены версии:
    DXVK_GIT "2.3.1-9"
    VKD3D_GIT "1.1-3980"
* исправлен установщик Cats Launcher (Передний Край)
* перенесено включение "GALLIUM_ZINK" в "3D API" (спасибо Htylol)
* исправлены опечатки (спасибо Alek V)
* обновлены анимации PortProton (спасибо Dervart)

###Scripts version 2283### Дата: 22.04.2024 / Размер скачиваемого обновления: 12 мегабайт
* произведена глобальная оптимизация скриптов
* добавлена автоустановка игры "Русская Рыбалка 4" (спасибо Boria138)
* перенесен метод локализации из переменных на .po файлы (дает возможность перевода на любой язык)
Отдельное спасибо:
    Boria138  - за помощь в переходе локализации на .po файлы
    Alek V.   - за большую часть локализации на русский язык
    chal55rus - за оперативный тест и нахождение проблем в переводе
    Храмыч, Vano, Dervart, Boria138 - за помощь в редактуре перевода

###Scripts version 2282### Дата: 19.04.2024 / Размер скачиваемого обновления: 15 мегабайт
* исправлено скачивание необходимых версий WINE из игрового режима SteamDeck
* улучшены функции связанные c работой flatpak (спасибо Boria138)
* исправлено создание и распаковка префиксов
* добавлен выбор версии MESA_GL_VERSION_OVERRIDE в настройки при запуске .exe файлов (спасибо Htylol)

###Scripts version 2281### Дата: 18.04.2024 / Размер скачиваемого обновления: 15 мегабайт
* обновлено окно обновления скриптов PortProton
* иконки для интерфейса переведены из png в svg (спасибо Dervart)
* исправлена работа нативной версии PortProton на SteamDeck (Настоятельно рекомендуем перейти на flatpak версию для SteamDeck!)

###Scripts version 2280### Дата: 16.04.2024 / Размер скачиваемого обновления: 15 мегабайт
* небольшие исправления для SteamDeck + flatpak

###Scripts version 2279### Дата: 16.04.2024 / Размер скачиваемого обновления: 15 мегабайт
* улучшения flatpak версии PortProton:
    - исправлен запуск игр на SteamDeck в игровом режиме
    - исправлены локализации внутри игр на SteamDeck в игровом режиме (требуется выбор русского интерфейса PortProton)
    - отключено скачивание контейнера steam runtime (уменьшает размер установленого PortProton)
    - улучшена функция определения библиотек GALLIUM_NINE
* ВНИМАНИЕ: Не используйте flatpak и нативную версии PortProton на одной системе!

###Scripts version 2278### Дата: 15.04.2024 / Размер скачиваемого обновления: 15 мегабайт
* улучшена функция обновления префикса (исправлена ошибка shell32.dll)

###Scripts version 2277### Дата: 15.04.2024 / Размер скачиваемого обновления: 15 мегабайт
* HOTFIX - исправлены все автоустановки
* HOTFIX - исправлено сохранение выбранной версии WINE

###Scripts version 2276### Дата: 14.04.2024 / Размер скачиваемого обновления: 15 мегабайт
* HOTFIX - установка и обновление на SteamDeck

###Scripts version 2275### Дата: 14.04.2024 / Размер скачиваемого обновления: 175 мегабайт
* все архивы библиотек и версий wine перенесены на CDN (исправление скорости скачивания)
* обновлен пакет библиотек libs_v48
* добавлена поддержка русского языка в игровом режиме Steam Deck
* исправлена работа геймпадов от Sony Playstation (спасибо Ardash за выявление проблемы)
* исправлена работа новейших версий DXVK на драйверах NVIDIA 550+ (c MANGOHUD всё еще возможны проблемы)
* обновлены иконки во вкладке АВТОУСТАНОВКА (спасибо Dervart)
* добавлено определение цвета системной темы для изменения иконки в трее (спасибо Boria138 и Dervart)
* добавлена поддержка отключения композитинга deepin (спасибо Boria138)
* исправлена работа GALLIUM_NINE во flatpak (спасибо Hty за выявление проблемы, спасибо Boria138 за PR)

###Scripts version 2274### Дата: 07.04.2024 / Размер скачиваемого обновления: 15 мегабайт
* добавлена предыдущая тема для PortProton, включается добавлением "export GUI_THEME=classic" в "data/user.conf"

###Scripts version 2273### Дата: 06.04.2024 / Размер скачиваемого обновления: 15 мегабайт
* обновлён интерфейс PortProton
* улучшено качество иконки в трее
* улучшена локализация
* добавлен лончер CatsLauncher (игра "Передний край") в "АВТОУСТАНОВКИ"
* добавлена начальная поддержка стилей .css (GTK+)
* обновлен префикс DOTNET

###Scripts version 2272### Дата: 04.04.2024 / Размер скачиваемого обновления: 15 мегабайт
* рефакторинг скриптов:
    - скрипт yad_gui объединён с functions_helper
    - скрипт runlib объединён с start.sh
    - все функции из runlib, yad_gui и start.sh перенесены в functions_helper
* исправлено обновление winetricks на некоторых системах (спасибо Boria138)
* при чистке префикса не удаляются каталоги Common Files из Program Files (для сохранения библиотек vst)
* обновлено ПО интерфейса (yad) до версии 13.0 с поддержкой кириллицы по умолчанию
* дополнительные небольшие улучшения интерфейса

###Scripts version 2271### Дата: 03.04.2024 / Размер скачиваемого обновления: 15 мегабайт
* улучшен интерфейс менеджера префиксов (xterm заменен на стандартный интерфейс PortProton)
* исправлена работа русского языка в EAapp (для применения необходимо запустить EALauncher и в PP выбрать НАСТРОЙКИ -> СБРОСИТЬ НАСТРОЙКИ)
* исправлен запуск игры "DragonAge: Origin" из EAapp
* множество небольших улучшений скриптов

###Scripts version 2270### Дата: 31.03.2024 / Размер скачиваемого обновления: 15 мегабайт
* добавлена поддержка игры Horizon Forbidden West (для применения необходимо запустить exe игры и выбрать НАСТРОЙКИ -> СБРОСИТЬ НАСТРОЙКИ)
* исправлена работа WINE от Kron4ek и возвращена возможность его скачивания с помощью GET-OTHER-WINE
* исправлен запуск GET-OTHER-WINE (интерфейс скачивания сторонних версий WINE-PROTON) при запуске exe файлов

###Scripts version 2269### Дата: 29.03.2024 / Размер скачиваемого обновления: 15 мегабайт
* добавлены улучшения при использовании cистемного WINE
* завершена подготовка скриптов PortProton для работы во flatpak

###Scripts version 2268### Дата: 27.03.2024 / Размер скачиваемого обновления: 15 мегабайт
* исправлен запуск некоторых 32-х битных игр на префиксе DEFAULT. Примеры:
    LEGO Marvel Super Heroes
    LEGO The Lord Of The Rings
    LEGO Star Wars - The Clone Wars
    Warhammer 40,000 Space Marine
    Star Wars The Force Unleashed
    Wolverine

###Scripts version 2267### Дата: 27.03.2024 / Размер скачиваемого обновления: 15 мегабайт
* реализовано двукратное ускорение обновления префикса на всех системах
* улучшен функционал настроек для exe файлов (EDIT_DB)
* исправлена автоустановка BattleNET

###Scripts version 2266### Дата: 26.03.2024 / Размер скачиваемого обновления: 170 мегабайт
* HOTFIX - исправлен баг гитхаба при доступе к plugins

###Scripts version 2265### Дата: 26.03.2024 / Размер скачиваемого обновления: 570 мегабайт
* в префикс DEFAULT добавлен компонент faudio (необходим для игр на движке Creation Engine, пример The Elder Scrolls)
* обновлен пакет библиотек plugins_v14:
    перенесены из пакета libs: d3d_extras, reshade и default_pfx
    добавлены портативные версии: yad_gui_pp, perl, exiftool (спасибо Boria138)
* обновлен пакет библиотек libs_v47:
    pressure-vessel 0.20240306.0
    sniper 0.20240307.80401
* обновлен PROTON_LG до версии "9-2"
* обновлены версии:
    DXVK_GIT "2.3.1"
    VKD3D_GIT "1.1-3973"
* добавлено сохранение изменений настроек в EDIT_DB при искользовании кнопки "ОТКРЫТЬ ФАЙЛ НАСТРОЕК"
* улучшена поддержка тестовой сборки PortProton во flatpak
* множество небольших улучшений скриптов

###Scripts version 2264### Дата: 15.03.2024 / Размер скачиваемого обновления: 15 мегабайт
* добавлен выбор завершения первой сессии PortProton при запуске второй
* добавлена автоустановка игры "Pulse Online"

###Scripts version 2263### Дата: 15.03.2024 / Размер скачиваемого обновления: 15 мегабайт
* файл блокировки второй сессии перенесен в "/tmp/portproton.lock"
* при запуске с терминала, явно указано что найден файл блокировки и его месторасположение

###Scripts version 2262### Дата: 14.03.2024 / Размер скачиваемого обновления: 230 мегабайт
* добавлено предупреждение при запуске второй сессии PortProton
* добавлена возможность отключения контейнера
* добавлена возможность использования системного WINE
* обновлен PROTON_LG до версии 9-1
* обновлены версии:
    DXVK_GIT "2.3-90"
    VKD3D_GIT "1.1-3954"
* исправлена установка библиотек из префикс менеджера на ОС "OpenSUSE" (спасибо Boria138)
* для Black Desert Online более не требуется отдельной версии PROTON

###Scripts version 2261### Дата: 07.03.2024 / Размер скачиваемого обновления: 15 мегабайт
* HOTFIX - изменения настроек игры из лаунчера Black Desert Online

###Scripts version 2260### Дата: 07.03.2024 / Размер скачиваемого обновления: 15 мегабайт
* добавлена автоустановка игры Black Desert Online
* исправлен запрос наполнения префикса во время исползования автоустановки игр/лаунчеров

###Scripts version 2259### Дата: 06.03.2024 / Размер скачиваемого обновления: 15 мегабайт
* для Steam Deck в режиме Gaming Mode исправлена возможность обновления PortProton (текущее обновление требуется устнановить из режима рабочего стола)

###Scripts version 2258### Дата: 06.03.2024 / Размер скачиваемого обновления: 15 мегабайт
* исправлено сохранение сложных аргументов для exe файла (пример: "- /B /TX /lang:01 /tex:1 /spg:50 KingKongTheGame.bf")
* добавлено автовостановление ярлыка в меню для Steam Deck после обновления SteamOS (необходим запуск PP любым другим ярлыком любой игры, или из режима Gaming Mode)
* для Steam Deck в режиме Gaming Mode отключено использование gamemode (сама сессия использует предустановленный gamemode в SteamOS)

###Scripts version 2257### Дата: 15.02.2024 / Размер скачиваемого обновления: 15 мегабайт
* для всех setup.exe автоматически выбирается WINE_LG (исправляет ошибки unarc.dll)
* добавлена функция отключения композитинга (спасибо Boria138)
* для префиксов созданных вручную, добавлен выбор его наполнения (чистый, или с рекомендованными библиотеками)
* улучшена функция обновления префикса при смене версии WINE-PROTON
* улучшение переводов
* множество небольших улучшений скриптов

###Scripts version 2256### Дата: 13.02.2024 / Размер скачиваемого обновления: 15 мегабайт
* обновлен WINE_LG до версии 9-2
* обновлены версии:
    D8VK "1.7.1-2367"
    DXVK_GIT "2.3-57"
    VKD3D_GIT "1.1-3908"
* исправлена работа FAKE_DLSS в некоторых играх (проект CyberFSR)
* улучшены функции скачивания
* для Steam Deck исправлен запуск некоторых игр только со второго раза

###Scripts version 2255### Дата: 12.02.2024 / Размер скачиваемого обновления: 15 мегабайт
* для Steam Deck в режиме Gaming Mode отключены портативные версии MANGOHUD и GAMESCOPE
* небольшие дополнительные улучшения скриптов

###Scripts version 2254### Дата: 11.02.2024 / Размер скачиваемого обновления: 15 мегабайт
* ускорен перезапуск интерфейса PortProton
* добавлен приоритет использования системного gamemode если он установлен (спасибо Boria138)
* обновлены анимации запуска, обновления и распаковки (спасибо WEBMAS и Dervart)
* проверка обновления PortProton на Steam Deck происходит только в режиме рабочего стола

###Scripts version 2253### Дата: 10.02.2024 / Размер скачиваемого обновления: 8 мегабайт
* небольшие улучшения для SteamOS

###Scripts version 2252### Дата: 09.02.2024 / Размер скачиваемого обновления: 33 мегабайт
* интерфейс полностью переведен с zenity на yad
* скачивание с wget переведено на curl (для улучшения стабильности скачивания с некоторыми провайдерами)
* включено по умолчанию улучшение графики в играх (выключение по клавише: "HOME")
* добалена проверка на кирилицу в путях с предупреждением
* исправлена работа zink в x11 в новых версиях mesa (спасибо Htylol)
* улучшена работа FAKE_DLSS (проект CyberFSR)
* добавлена настройка включения FAKE_DLSS_3 (эксперементальный проект dlssg-to-fsr3)
* обновлен пакет plugins до версии v13
* обновлена версия GALLIUM_NINE до 0.9
* обновлена версия NVAPI до 0.6.4-20

###Scripts version 2251### Дата: 02.02.2024 / Размер скачиваемого обновления: 8 мегабайт
* HOTFIX - исправлено автоматическое закрытие EAapp после его установки на некоторых системах

###Scripts version 2250### Дата: 02.02.2024 / Размер скачиваемого обновления: 8 мегабайт
* исправлено добавление ярлыков в steam если имеется более одного каталога с пользователями в steam
* исправлена подготавка префикса и его обновление при запуске из steam
* исправлена распаковка архивов WINE при запуске из steam
* значительно улучшена интеграция PP при запуске из steam (должны работать ВСЕ лаунчеры)
* исправлена редкая ошибка установки League of Legends
* обновлена установка vkPlay
* возвращена автоустановка Electronic Arts App
* небольшие улучшения функции настройки 3D API

###Scripts version 2249### Дата: 30.01.2024 / Размер скачиваемого обновления: 8 мегабайт
* добавлено уникальное имя для запуска Crossout (требуется повторный запуск автоустановки)
* исправлена установка эмулятора Project64
* удалены эмуляторы DuckStation, ScummVM, RPCS3 (рекомендуется использовать нативные версии для Linux)
* улучшены функции настройки MANGOHUD (спасибо Boria138)
* небольшие дополнительные улучшения локализации и скриптов

###Scripts version 2248### Дата: 26.01.2024 / Размер скачиваемого обновления: 8 мегабайт
* создание ярлыка в "МЕНЮ -> Игры" отделены от создания на "Рабочем столе"
* добавлено условие использования шрифтов из WINE Proton, только если нет оригинальных шрифтов в префиксе
* исправлен выбор установки библиотек в префикс менеджере PortProton
* создание симлинков в PortProton переведены с прямых путей, на относительные
* добавлена настройка "VKBASALT_USER_CONF" для использования системных настроек vkBasalt (спасибо Arta48)
* обновлен установщик "EVE Online Launcher" на актуальную версию (спасибо cefeiko)

###Scripts version 2247### Дата: 23.01.2024 / Размер скачиваемого обновления: 8 мегабайт
* улучшена работа портативной версии gamemode
* исправление опечаток
* добавлена очистка data/tmp каталога от битых (недокаченных) архивов, перед запуском PortProton

###Scripts version 2246### Дата: 20.01.2024 / Размер скачиваемого обновления: 8 мегабайт
* HOTFIX - исправлен запуск Modern Warships после его обновления
* HOTFIX - исправлен запуск с gamescope
* возвращена переменная REDUCE_PULSE_LATENCY в настройки при запуске на wayland
* по умолчанию при создании ярлыка снят выбор с пункта "создать ярлык для STEAM"
* заменена настройка PW_RESTORE_RESOLUTION на автоматический возврат исходного разрешения главного монитора после завершения игры
* улучшена автоматическая настройка размера шрифта в MANGOHUD (при использовании более одного монитора)

###Scripts version 2245### Дата: 19.01.2024 / Размер скачиваемого обновления: 350 мегабайт
* обновлен WINE_LG до версии 9-0 и добавлены шрифты из proton steam
* обновлен пакет библиотек контейнера libs_v46
* обновлен MANGOHUD до версии 0.7.0 в контейнере (спасибо Boria138)
* исправлено отображение работы gamemode в MANGOHUD (спасибо Boria138)
* улучшен функционал выбора видеокарты nvidia с гибридной графикой
* небольшие улучшения переводов
* добавлена автоустановка игры Modern Warships (спасибо ValoKarDin)
* обновлен автоустановщик и исправлена работа лончера GOG Galaxy 
* обновлен автоустановщик и исправлена работа игры CALIBER

###Scripts version 2244### Дата: 14.01.2024 / Размер скачиваемого обновления: 8 мегабайт
* обновлен PROTON_LG до версии 8-25-2 (добавлены шрифты из proton steam)
* исправлено отображение версии скриптов после переустановки PortProton из настроек самого PortProton

###Scripts version 2243### Дата: 12.01.2024 / Размер скачиваемого обновления: 8 мегабайт
* HOTFIX: Исправлено самопроизводное переключение префикса при использовании интерфейса настройки MANGOHUD

###Scripts version 2242### Дата: 11.01.2024 / Размер скачиваемого обновления: 8 мегабайт
* добавлен графический интерфейс для настройки MANGOHUD (спасибо Boria138)
* обновлены версии:
    DXVK_GIT_VER 2.3-26
    VKD3D_GIT_VER 1.1-3821

###Scripts version 2241### Дата: 28.12.2023 / Размер скачиваемого обновления: 8 мегабайт
* HOTFIX - VKD3D (определение DX12 в некоторых играх)

###Scripts version 2240### Дата: 28.12.2023 / Размер скачиваемого обновления: 8 мегабайт
* удалена переменная "DX12_DISABLE" из EDIT_DB (устаревшая функция)
* произведен перенос проверки драйвера Vulkan в режим создания лога
* обновлена проверка версии игры World Of Sea Battle перед установкой
* удалено предупреждение о Wayland
* добавлена переменная "PW_RESTORE_RESOLUTION" в EDIT_BD (спасибо Boria138)

###Scripts version 2239### Дата: 17.12.2023 / Размер скачиваемого обновления: 8 мегабайт
* исправлен запуск League of Legends (для исправления запустите автоустановку)
* добавлена корректная проверка драйвера vulkan, без установки в систему vulkan-tools
* реализовано автоматическое добавление примонтированных дисков в префикс (спасибо Boria138)
* исправлен запуск GAMESCOPE при наличии нескольких видеокарт NVIDIA в системе (спасибо Vano)

###Scripts version 2238### Дата: 12.12.2023 / Размер скачиваемого обновления: 8 мегабайт
* исправлена совмеcтная работа GAMESCOPE и vkBasalt
* оптимизировано создание и обновление префикса
* исправлено отключение MANGOHUD в настройках
* добавлена кнопка сброса в настройках при запуске exe (для востановления настроек по умолчанию)
* добавлено принудительное отображение настроек запуска exe файла при запуске ярлыка из интерфейса PortProton
* добавлены всплывающие подсказки во вкладке установки эмуляторов (спасибо Akai)
* добавлено предупреждение если нет работающего драйвера Vulkan (спасибо Boria138)

###Scripts version 2237### Дата: 08.12.2023 / Размер скачиваемого обновления: 8 мегабайт
* объединено включение MANGOHUD в настройках (32-х и 64-х битные)
* исправлена работа vkBasalt совместно с gamescope
* исправлен запуск некоторых игр, которые работали только в режиме создания лога
* исправлен выбор видеокарты при запуска с gamescope (спасибо Boria138)
* новые версии wine скачиваются только при условии его выбора после запуска, а не перед запуском PortProton

###Scripts version 2236### Дата: 07.12.2023 / Размер скачиваемого обновления: 8 мегабайт
* в настройках перед запуском игры добавлена возможность включения GAMESCOPE (при условии что он установлен в системе)
* исправлена установка эмулятора Citra

###Scripts version 2235### Дата: 06.12.2023 / Размер скачиваемого обновления: 8 мегабайт
* исправлено отсутствие иконки osu! в списке установленных приложений
* обновлена автоустановка Panzar и исправлено создание иконки
* обновлена автоустановка GOG Galaxy
 - добавлено автоматическое определение актуальной версии для установки
 - уcтановка производится в отдельный префикс GOG
 - автоустановка снова производится в тихом режиме (без вопросов)

###Scripts version 2234### Дата: 03.12.2023 / Размер скачиваемого обновления: 200 мегабайт
* обновлен PROTON_LG до версии 8-25-1 (исправлена работа BattleNET)
* исправлено создание ярлыков в STEAM при отсутствии shortcuts.vdf файла
* исправлено создание иконок для стандартных ярлыков (спасибо Arta48)
* добавлена возможность создавать ppdb файлы на символьные ссылки (исправление для одинаковых имён exe файлов)
* созданы индивидуальные файлы настроек для игр:
 - Genshin Impact
 - Warframe
 - Rockstar
(для применения требуется повторный запуск автоустановки необходимой игры)

* для лончера World of Sea Battle создаются 2 ярлыка:
 - World of Sea Battle (EN) - для первого входа (логина) в игру
 - World of Sea Battle (RU) - для возможности писать в чате на русском языке

###Scripts version 2233### Дата: 26.11.2023 / Размер скачиваемого обновления: 8 мегабайт
* HOTFIX - создание ярлыков в STEAM

###Scripts version 2232### Дата: 26.11.2023 / Размер скачиваемого обновления: 8 мегабайт
* добавлен глобальный выбор видеокарты в настройках PortProton при запуске игры/программы (спасибо Boria138)
* добавлено создание ярлыков в STEAM (Спасибо: Akai, Boria138, Cefeiko, Vano, redroot, проект steamtinkerlaunch и всевидящий set -x)
* дополнительные улучшения скриптов
* исправлена проблема скачивания установщиков игр (сайты которых не работают с докачкой файлов с помощью wget)
* начата миграция установки PortProton v1.3 с нового репозитория https://github.com/Castro-Fidel/PortProton_ALT

###Scripts version 2231### Дата: 24.11.2023 / Размер скачиваемого обновления: 200 мегабайт
* обновлен PROTON_LG до версии 8-24
* обновлён установщик World of Sea Battle x64 (спасибо @Iglu47 и Cefeiko)
* небольшие улучшения локализации (спасибо Boria138)

###Scripts version 2230### Дата: 10.11.2023 / Размер скачиваемого обновления: 8 мегабайт
* подготовка к обновлению установoщика PortProton

###Scripts version 2229### Дата: 08.11.2023 / Размер скачиваемого обновления: 200 мегабайт
* обновлен PROTON_LG до версии 8-22
* обновлены версии:
    DXVK_GIT_VER 2.3-13
    VKD3D_GIT_VER 1.1-3727
* добавлено включение USE_GALLIUM_ZINK предоставляющая возможность трансляции OpenGL в Vulkan (спасибо Htylol)
* улучшены информативность и читаемость логов (спасибо Boria138)

###Scripts version 2228### Дата: 02.11.2023 / Размер скачиваемого обновления: 8 мегабайт
* улучшено определение видеокарт серии RTX
* исправлена работа гибридной графики на некоторых конфигурациях ноутбуков (но еще не на всех)

###Scripts version 2227### Дата: 22.10.2023 / Размер скачиваемого обновления: 520 мегабайт
* обновлен PROTON_LG до версии 8-20 (LGC и WGC более не требуют отдельной версии WINE)
* обновлен WINE_LG до версии 8-18 (улучшена работа игр vkPlay: исправлены видео в телевизорах Atomic Heart, работает игра Кужлёвка)
* обновлен пакет библиотек libs_v44:
    pressure-vessel 0.20230928.1
    sniper 0.20231005.62324
    уменьшен размер архива с библиотеками
* ускорено создание и обновление префикса
* улучшена локализация (спасибо Boria138)
* тест: добавлен выбор драйвера для AMD  (спасибо Boria138)
* небольшие дополнительные улучшения скриптов

###Scripts version 2226### Дата: 09.10.2023 / Размер скачиваемого обновления: 8 мегабайт
* обновлены автоустановки лончеров (спасибо Boria138)
* небольшие исправления скриптов

###Scripts version 2225### Дата: 08.10.2023 / Размер скачиваемого обновления: 8 мегабайт
* улучшен режим создания лога
* во вкладку "НАСТРОИТЬ" добавлено включение "USE_SYSTEM_VK_LAYERS" что дает возможность использовать системные mangohud, vkBasalt, obs-vkcapture и прочие
* во вкладку "НАСТРОИТЬ" добавлено включение "USE_OBS_VKCAPTURE" что дает возможность записи в OBS Studio с помощью obs-vkcapture (ВНИМАНИЕ: будет включено принудительное использование системных mangohud, vkBasalt, obs-vkcapture и прочих приложений использующих vulkan layers)
* обновлена установка League of Legends

###Scripts version 2224### Дата: 28.09.2023 / Размер скачиваемого обновления: 210 мегабайт
* глобальная чистка database файлов (спасибо Boria138)
* обновлен PROTON_LG до версии 8-17 (исправлены вкладки сообщество и поддержка в игре Genshin Impact)
* ускорен поиск nvngx.dll при включении NVAPI и DLSS
* добавлена проверка на запуск .desktop файла несуществующего приложения

###Scripts version 2223### Дата: 23.09.2023 / Размер скачиваемого обновления: 8 мегабайт
* обновлен префикс DOTNET
* временно заблокировано использование USE_US_LAYOUT под Wayland

###Scripts version 2222### Дата: 22.09.2023 / Размер скачиваемого обновления: 8 мегабайт
* HOTFIX: обновление префикса, на некоторых ОС
* WGC и LGC устанавливаются в отдельные префиксы
* исправлена очистка префикса DOTNET
* небольшие изменения вкладки настроек WINE
* исправлена функция принудительного использования английской раскладки

###Scripts version 2221### Дата: 19.09.2023 / Размер скачиваемого обновления: 230 мегабайт
* обновлен PROTON_LG до версии 8-15-1 (исправлено обновление префикса)
* добавлены параметры (спасибо Boria138)
    REDUCE_PULSE_LATENCY - 'Уменьшить задержку pulseaudio для исправления прерывистого звука'
    USE_US_LAYOUT - 'Принудительное использование английской раскладки (полезно для игр в которых управление верно работает исключительно на английской раскладке)'

###Scripts version 2220### Дата: 17.09.2023 / Размер скачиваемого обновления: 260 мегабайт
* HOTFIX: установка Plarium Play перенесена в префикс DOTNET
* HOTFIX: Запуск игры Мир Кораблей (для исправления запустите автоустановку Lesta Game Center)
* обновлены версии:
    DXVK_GIT_VER 2.3-5
    VKD3D_GIT_VER 1.1-3622
* обновлен PROTON_LG до версии 8-15

###Scripts version 2219### Дата: 03.09.2023 / Размер скачиваемого обновления: 8 мегабайт
* HOTFIX: запуск игры Starfield
* исправлена установка dotnet 4.6.1 необходимый для лончера Plarium Play

###Scripts version 2218### Дата: 03.09.2023 / Размер скачиваемого обновления: 8 мегабайт
* улучшена проверка RTX видеокарт
* добавлена проверка на гибридную графику NVIDIA + intel/amd (спасибо Boria138)
* добавлена переменная "__VK_LAYER_NV_optimus=NVIDIA_only" при включении "PRIME_RENDER_OFFLOAD" (спасибо Boria138)
* включена докачка файлов при проблемах со скачиванием
* удаление предыдущих версий libs и plugins происходит только при успешном завершении скачивания новых версий
* скачивание можно пропустить и использовать PP с предыдущими версиями библиотек (кроме WINE и библиотек Vulkan API)
* по умолчанию сделан выбор PROTON_LG и WINE_x.x_LG
* добавлена возможность использования по умолчанию стабильных версий DXVK и VKD3D (добавлением export PW_VULKAN_USE=1 в user.conf)
* исправлена ошибка c VKD3D_FEATURE_LEVEL 12_0 с запуском игр на стабильных версиях DXVK и VKD3D
* исправлена установка STALCRAFT

###Scripts version 2217### Дата: 31.08.2023 / Размер скачиваемого обновления: 8 мегабайт
* временно отключено определение Vulkan API из за возможных проблем на стороне vulkaninfo 
* новейшие версии DXVK и VKD3D выбраны по умолчанию (более востребованы для новейших игр)

###Scripts version 2216### Дата: 30.08.2023 / Размер скачиваемого обновления: 650 мегабайт
* обновлен PROTON_LG до версии 8-14:
    нет лишнего символа, на экране, при запуске STEAM_PP
    исправлена установка BattleNET (еще раз)
* обновлены версии:
    DXVK_STABLE_VER="2.2-34"
    DXVK_GIT_VER="2.2-164"
    VKD3D_STABLE_VER="1.1-3445"
    VKD3D_GIT_VER="1.1-3556"
* обновлен пакет библиотек libs_v44:
    pressure-vessel 0.20230718.0
    sniper 0.20230718.55074
* добавлено автоматическое определение видеокарт NVIDIA RTX (спасибо Boria138)
* добавлено автоматическое включение поддержки DLSS и RAY TRACING для видеокарт NVIDIA RTX
* добавлена проверка на версию Vulkan API для совместимости с видеокартами без Vulkan API 1.3

###Scripts version 2215### Дата: 18.08.2023 / Размер скачиваемого обновления: 8 мегабайт
* добавлено зеркало скриптов: https://gitlab.eterfund.ru/Castro-Fidel/
* отключено создание сторонних (не работающих) ярлыков средствами wine (при использовании версий wine отличных от proton)

###Scripts version 2214### Дата: 04.08.2023 / Размер скачиваемого обновления: 250 мегабайт
* обновлен PROTON_LG до версии 8-11
* обновлен в "Авторы и спасибы" список бустеров которые хоть раз поддержали проект.
(Для тех кто хочет присоедениться к поддержке проекта: https://boosty.to/portwine-linux.ru)

###Scripts version 2213### Дата: 03.08.2023 / Размер скачиваемого обновления: 250 мегабайт
* обновлен PROTON_LG до версии 8-10 (фикс UBISOFT: купленные игры работают, для магазина нужен VPN)
* принято и доработано обновение от Boria138 добавляющее настройку ограничения использования ядер ЦПУ. (WINE_CPU_TOPOLOGY)
* добавлен фикс значительно уменьшающий нагрузку CPU и повышающий FPS в Unity играх (при условии более 8 логических ядер процессора)
* исправлены изменение и отключение огранчения FPS

###Scripts version 2212### Дата: 01.08.2023 / Размер скачиваемого обновления: 10 мегабайт
* добавлено использование D8VK (транслятор DirectX 8 в Vulkan API) для старых игр, при использовании DXVK и VKD3D 

###Scripts version 2211### Дата: 31.07.2023 / Размер скачиваемого обновления: 9 мегабайт основные файлы и 90 мегабайт при запуске игры League Of Legends
* исправлена работа League Of Legends (обновлен WINE_LOL_GE_8.12)
* обновлен README на GitHub (спасибо Boria138)

###Scripts version 2210### Дата: 28.07.2023 / Размер скачиваемого обновления: 9 мегабайт.
* исправлены установка и обновление лончеров (требуется тест на разных системах):
    BattleNET
    STEAM_PP
* множество небольших изменений скриптов

###Scripts version 2209### Дата: 26.07.2023 / Размер скачиваемого обновления: 9 мегабайт.
* добавлена автоустановка игры: "Battle Of Space Raiders" (спасибо Boria138)
* приняты небольшие исправления от Boria138
* HOTFIX - исправлены проблемы работы PROTON_LG_8-X на некоторых системах (отображение черных лончеров и потеря библиотек необходимых для игр)

###Scripts version 2208### Дата: 24.07.2023 / Размер скачиваемого обновления: 9 мегабайт.
* добавлена возможность изменения названия при создании "ярлыка" (спасибо Maks1mS)
* приняты небольшие исправления от Boria138
* исправлена установка Genshin Impact

###Scripts version 2207### Дата: 23.07.2023 / Размер скачиваемого обновления: 250 мегабайт.
* обновлен PROTON_LG до версии 8-9
* обновлены версии:
    DXVK_GIT_VER="2.2-137"
    VKD3D_GIT_VER="1.1-3516"

###Scripts version 2206### Дата: 07.07.2023 / Размер скачиваемого обновления: 250 мегабайт.
* обновлен PROTON_LG до версии 8-6 (совместно с версией MONO 8.0)
* обновлены версии:
    DXVK_GIT_VER="2.2-116"
    VKD3D_GIT_VER="1.1-3488"
* добавлена автоустановка игры: Guild Wars 2

###Scripts version 2205### Дата: 01.07.2023 / Размер скачиваемого обновления: 240 мегабайт.
* обновлен PROTON_LG до версии 8-4
* с версией PROTON_LG_8-4 снова работает игра "Мир Кораблей"
* с версией PROTON_LG_8-4 снова работает лончер "Ubisoft Connect"

###Scripts version 2204### Дата: 29.06.2023 / Размер скачиваемого обновления: 9 мегабайт.
* улучшение локализации (спасибо Boria138)
* обновлены автоустановки LGC и WGC

###Scripts version 2203### Дата: 23.06.2023 / Размер скачиваемого обновления: 9 мегабайт.
* дополнены всплывающие подсказки в меню настроек vkBasalt (спасибо Boria138)
* обновлен установщик Battle.net

###Scripts version 2202### Дата: 15.06.2023 / Размер скачиваемого обновления: 9 мегабайт.
* возвращена установка Genshin Impact. (Снова заработал, на долго?)
* исправлена загрузка WINE версий PROTON-GE

###Scripts version 2201### Дата: 12.06.2023 / Размер скачиваемого обновления: 9 мегабайт.
* улучшена читаемость вывода при запуске portproton из терминала 
* исправлен запуск игры World of Sea Battle
* добавлен выбор файла настроек перед запуском setup.exe
